## net.sourceforge.pmd
Class Language

    java.lang.Object
      net.sourceforge.pmd.Language

public final class Language
extends java.lang.Object

Enumeration of languages for which a rule can be written.

This has no 1-on-1 mapping to the SourceType enumeration, because rules will often apply to all versions of a programming language, and SourceType is version-specific.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Field Summary
`static Language` `JAVA`
`static Language` `JSP`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`static Language` `getByName(java.lang.String name)` Get the RuleLanguage that corresponds to the given name.
`java.lang.String` `getName()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JAVA

    public static Language JAVA

### JSP

    public static Language JSP

Method Detail

### getByName

    public static Language getByName(java.lang.String name)

  Get the RuleLanguage that corresponds to the given name.

  Parameters:
    `name` - the common name of the rule language; this must correspond to one of the name constants.
  Returns:
    the corresponding RuleLanuage; or null if the name is not recognized

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Copyright © 2002-2006 InfoEther. All Rights Reserved.